/* Comportamentos exclusivos da página users_create.php */

document.querySelector("[name='mac']").addEventListener("keyup",function(){
    let v=this.value.replace(/[^0-9A-Fa-f]/g,"").toUpperCase();
    let o="";
    for(let i=0;i<v.length;i++){
        if(i>0&&i%2==0)o+=":";
        o+=v[i];
    }
    this.value=o;
});
